summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2018-10-19 10:08:17 +0300
committerLars Wirzenius <liw@liw.fi>2018-10-19 10:08:17 +0300
commit55dfeba1f4e10f729016ea6f334f49eb6b45a190 (patch)
tree4aa27e3d4b460e0b3952dbc29cc0386e7ec35601
parent99487daa80aab8c70d816f8474d56c42ac8cb27a (diff)
downloadmuck-poc-55dfeba1f4e10f729016ea6f334f49eb6b45a190.tar.gz
Add: check
-rwxr-xr-xcheck49
1 files changed, 49 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..6f31bc0
--- /dev/null
+++ b/check
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# Copyright 2018 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+title()
+{
+ printf "\n"
+ echo "$@"
+ n=77
+ for i in $(seq $n)
+ do
+ printf "%s" -
+ done
+ printf '\n'
+}
+
+
+modules="muck"
+
+
+title Unit tests
+python3 -m CoverageTestRunner --ignore-missing-from=without-tests $modules
+
+title pycodestyle
+pycodestyle $modules
+
+if command -v pylint3 > /dev/null
+then
+ title pylint3
+ pylint3 --rcfile pylint.conf $modules
+fi
+
+title OK
+echo "All tests pass"